unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, TeEngine, TeeComma, ExtCtrls, TeeProcs,
  Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    Panel1: TPanel;
    PrinterSetupDialog1: TPrinterSetupDialog;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, TeeTools, TeePrevi, TeeEdiGene;

procedure TForm1.Button1Click(Sender: TObject);
var PrintMarginsRect: TRect;
begin
  PrintMarginsRect.Top := 5;
  PrintMarginsRect.Left := 5;
  PrintMarginsRect.Bottom := 5;
  PrintMarginsRect.Right := 5;

  if PrinterSetupDialog1.Execute() then
  begin
     Chart1.PrintProportional := false;
     Chart1.PrintMargins := PrintMarginsRect;
     TeePreview(Self, Chart1);
     //Chart1.Print;
     //ChartPreview(Self, Chart1);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=False;
  Chart1.AddSeries(TLineSeries).FillSampleValues(10);
  Chart1.Legend.LegendStyle:=lsSeries;

  with Chart1.Tools.Add(TRectangleTool) as TRectangleTool do
  begin
    Text:='Rectangle Tool';
    AutoSize:=True;
    Shape.Transparency:=0;

    Chart1.Draw;
    Left:=Chart1.Legend.RectLegend.Left;
    Top:=Chart1.Legend.RectLegend.Bottom + 20;
  end;
end;

end.
